#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "K38AimAssistObjectiveInfo.generated.h"

USTRUCT(BlueprintType)
struct FK38AimAssistObjectiveInfo
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UClass* _objectClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector _snapOffset;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _indicatorFloatingHeight;

public:
	THEK38_API FK38AimAssistObjectiveInfo();
};

FORCEINLINE uint32 GetTypeHash(const FK38AimAssistObjectiveInfo) { return 0; }
